<!DOCTYPE html>
<html lang="pt-br">
<head>
	<meta charset="utf-8" />
	<title>Tudo sobre Google Glass</title>
    <link rel="stylesheet" type="text/css" href="_css/estilo.css">
    <link rel="stylesheet" type="text/css" href="_css/form.css">
</head>
<body>
    <script language="javascript" src="_javascript/funcoes.js"></script>
    <script>
        function calc_total(){
            var qtd = parseInt(document.getElementById('cQtd').value);
            tot = qtd * 1500;
            document.getElementById('cTot').value = tot;
        }
    </script>
<div id="interface">
	<header id="cabecalho">
		<hgroup>
			<h1>Google Glass</h1>
			<h2>A revolução do Google está chegando</h2>
		</hgroup>

		<img id="icone" src="_imagens/contato.png">
		<nav id="menu">
			<h1>Menu Principal</h1>
			<ul type="disc" >
				<li onmouseover="mudaFoto('_imagens/home.png')" onmouseout="mudaFoto('_imagens/contato.png')"> <a href="index.html"> Home </a></li>
				<li onmouseover="mudaFoto('_imagens/especificacoes.png')" onmouseout="mudaFoto('_imagens/contato.png')"> <a href="specs.html"> Especificações </a></li>
				<li onmouseover="mudaFoto('_imagens/fotos.png')" onmouseout="mudaFoto('_imagens/contato.png')"> <a href="fotos.html"> Fotos </a></li>
				<li onmouseover="mudaFoto('_imagens/multimidia.png')" onmouseout="mudaFoto('_imagens/contato.png')"> <a href="multimidia.html"> Multimídia </a></li>
				<li onmouseover="mudaFoto('_imagens/contato.png')" onmouseout="mudaFoto('_imagens/contato.png')"> <a href="fale-conosco.html"> Fale conosco </a></li>
			</ul>
		</nav>
    </header>
    
    <section id="corpo-full">
		<article id="noticia-principal">
			<header id="cabecalho-artigo">
				<hgroup>
					<h3>Fale Conosco > Contato</h3>
					<h1>Formulário de Contato</h1>
					<h2>por Rafael Costa</h2>
					<h3 class="direita">Atualizado em 27/Março/2018</h3>
				</hgroup>
			</header>

            <form method="post" id="fContato" action="mailto:rafael.costab@hotmail.com" oninput="calc_total();">
                <fieldset id="usuario">
                    <legend>Identificação do Usuário</legend>
                    <p>
                        <label for="cNome">Nome:</label>
                        <input type="text" name="tNome" id="cNome" size="20" maxlength="30" placeholder="Nome completo"/>
                    </p>
                    <p>
                        <label for="cSenha">Senha:</label>
                        <input type="password" name="tSenha" id="cSenha" size="8" maxlength="8" placeholder="8 dígitos" /> 
                    </p>
                    <p>
                        <label for="cEmail">E-mail:</label>
                        <input type="email" name="tEmail" id="cEmail" size="20" maxlength="40" placeholder="exemplo@exemplo.com.br"/> 
                    </p>                    
                        <fieldset id="sexo">
                            <legend>Sexo:</legend>
                            <input type="radio" name="tSexo" id="cMasc" checked />
                            <label for="cMasc">Masculino</label>
                            <br/>
                            <input type="radio" name="tSexo" id="cFem" />
                            <label for="cFem">Feminino</label>
                        </fieldset>
                    <p>
                        <label for="cNasc">Data de Nascimento:</label>
                        <input type="date" name="tNasc" id="cNasc" />
                    </p>
                </fieldset>

                <fieldset id="endereco">
                    <legend>Endereço do Usuário></legend>
                    <p>
                        <label for="cRua">Logradouro:</label>
                        <input type="text" name="tRua" id="cRua" size="13" maxlength="80" placeholder="Rua, Av, Trav, ..."/>
                    </p>
                    <p>
                        <label for="cNum">Número:</label>
                        <input type="number" name="tNum" id="cNum" min="0" max="999999"/>
                    </p>
                    <p>
                        <label for="cEst">Estado:</label>
                        <select name="tEst" id="eEst" >
                            <optgroup label="Região Suldeste">
                                <option value="SP">Rio de Janeiro</option>
                                <option value="RJ" selected>São Paulo</option>
                                <option value="MG">Minas Gerais</option>
                            </optgroup>
                            <optgroup label="Região Sul">
                                <option value="PR">Paraná</option>
                                <option value="SC">Santa Catarina</option>
                                <option value="RS">Rio Grande do Sul</option>
                            </optgroup>
                        </select>
                    </p>
                    <p>
                        <label for="cCid">Cidade:</label>
                        <input type="text" name="tCid" id="cCid" maxlength="40" size="20" placeholder="Sua cidade" list="cidades"/>
                        <datalist id="cidades">
                            <option value="Rio de Janeiro"></option>
                            <option value="Nova Iguaçu"></option>
                            <option value="Niterói"></option>                            
                            <option value="Belford Roxo"></option>
                        </datalist>
                    </p>
                </fieldset>

                <fieldset id="mensagem">
                    <legend>Mensagem do Usuário</legend>
                    <p>
                        <label for="">Grau de Urgência:</label>
                        Mín<input type="range" name="tUrg" id="cUrg" min="0" max="10" step="2"/>Máx
                    </p>
                    <p>
                        <label for="">Mensagem:</label>
                        <textarea name="tMsg" id="cMsg" cols="35" rows="5" placeholder="deixe aqui sua mensagem"></textarea>
                    </p>
                </fieldset>

                <fieldset id="pedido">
                    <legend>Quero um Google Glass</legend>
                    <p>
                        <input type="checkbox" name="tPed" id="cPed" checked/>
                        <label for="tPed">Gostaria de adquirir um Google Glass quando disponível</label>
                    </p>
                    <p>
                        <label for="cCor">Cor:</label>
                        <input type="color" name="tCor" value="#0000FF"/>
                    </p>
                    <p>
                        <label for="cQtd">Quantidade:</label>
                        <input type="number" name="tQtd" id="cQtd" min="0" max="5" value="0" />
                    </p>
                    <p>
                        <label for="cTot">Preço Total: R$</label>
                    </p>
                    <input type="text" name="tTot" id="cTot" placeholder="Total a pagar" readonly/>
                </fieldset>

                <input type="image" name="tEnviar" src="_imagens/botao-enviar.png"/>
            </form>
        </article>
    </section>
<footer id="rodape">
    <p>
        Copyright&copy; 2018 - by Rafael Costa <br/>
        <a href="https://www.linkedin.com/in/rafael-costa-4a4744b2/" target="_blank">Linkedin</a>|
        <a href="https://gitlab.com/rafael.costab" target="_blank">Gitlab</a>
    </p>
</footer>
</div>
</body>
</html>